Subject: Re: bug#58434: Native compile results in error if -march and -mtune are specified

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Oct 2022 18:52:23 +0300

[Please use Reply All to keep the bug tracker on the CC list.]

> Date: Tue, 11 Oct 2022 15:48:54 +0200
> From: Loreno Heer <[email-masked]>
> 
> (setq native-comp-compiler-options '("-O2" "-march=native" "-mtune=native"))
> 
> in my .emacs file.
> I wanted to speed up the installation a bit. I found the suggestion
> here:
> https://www.reddit.com/r/emacs/comments/prihh8/optimization_flags_for_nativecomp_whats_the/

OK, so the compiler told you it doesn't support -march=native, so you
will have to specify the exact architecture.

Btw, I think you should use native-comp-driver-options for this, not
native-comp-compiler-options.  Andrea, am I right?  I think GCC is
"driver" and "compiler" means cc1, no?  (If I'm right, we need to fix
the doc strings.)